#include <glib.h>

#include "c4.h"
#include "viterbi.h"
#include "alignment.h"

gpointer Bootstrapper_lookup(gchar *name);

C4_Score optimal_58_est2genome_32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_est2genome_32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_est2genome_32_find_32_region(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_est2genome_32_find_32_checkpoint(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_est2genome_32_find_32_path_32_continuation(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_START_34__45__62__34_match_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_START_34__45__62__34_match_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_match_32_reverse_34__45__62__34_END_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_match_32_reverse_34__45__62__34_END_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_START_34__45__62__34_match_32_forward_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_START_34__45__62__34_match_32_forward_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_match_32_forward_34__45__62__34_END_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_match_32_forward_34__45__62__34_END_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score HeuristicJoin_58__91_Segment_40__34_match_32_reverse_34__45__62__34_match_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score HeuristicJoin_58__91_Segment_40__34_match_32_reverse_34__45__62__34_match_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_32_reverse_34__45__62__34_intron_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_32_reverse_34__45__62__34_intron_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32_traceback_32__91_Segment_40__34_match_32_reverse_34__45__62__34_intron_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_reverse_34__45__62__34_match_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_reverse_34__45__62__34_match_32_reverse_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score HeuristicJoin_58__91_Segment_40__34_match_32_forward_34__45__62__34_match_32_forward_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score HeuristicJoin_58__91_Segment_40__34_match_32_forward_34__45__62__34_match_32_forward_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_32_forward_34__45__62__34_intron_32_forward_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_32_forward_34__45__62__34_intron_32_forward_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32_traceback_32__91_Segment_40__34_match_32_forward_34__45__62__34_intron_32_forward_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_forward_34__45__62__34_match_32_forward_34__41__58__91_est2genome_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_forward_34__45__62__34_match_32_forward_34__41__58__91_est2genome_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_est2genome_58_reverse_58_notraceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_est2genome_58_forward_58_traceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_protein2genome_58_local_32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_protein2genome_58_local_32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_protein2genome_58_local_32_find_32_region(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_protein2genome_58_local_32_find_32_checkpoint(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_protein2genome_58_local_32_find_32_path_32_continuation(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_START_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_START_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_match_34__45__62__34_END_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Terminal_32__91_Segment_40__34_match_34__45__62__34_END_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score HeuristicJoin_58__91_Segment_40__34_match_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score HeuristicJoin_58__91_Segment_40__34_match_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_34__45__62__34_intron_32_0_58_0_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_34__45__62__34_intron_32_0_58_0_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32_traceback_32__91_Segment_40__34_match_34__45__62__34_intron_32_0_58_0_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_0_58_0_32_phase_45_T_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_0_58_0_32_phase_45_T_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_34__45__62__34_intron_32_1_58_2_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_34__45__62__34_intron_32_1_58_2_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32_traceback_32__91_Segment_40__34_match_34__45__62__34_intron_32_1_58_2_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_1_58_2_32_phase_45_T_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_1_58_2_32_phase_45_T_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_34__45__62__34_intron_32_2_58_1_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32__91_Segment_40__34_match_34__45__62__34_intron_32_2_58_1_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Src_32_span_32_traceback_32__91_Segment_40__34_match_34__45__62__34_intron_32_2_58_1_32_phase_45_T_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_2_58_1_32_phase_45_T_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Dst_32_span_32__91_Segment_40__34_intron_32_2_58_1_32_phase_45_T_34__45__62__34_match_34__41__58__91_protein2genome_58_local_93__93__32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_protein2genome_58_local_58_reverse_58_notraceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_protein2genome_58_local_58_forward_58_traceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_cdna2genome_32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_cdna2genome_32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_cdna2genome_32_find_32_region(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_cdna2genome_32_find_32_checkpoint(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_cdna2genome_32_find_32_path_32_continuation(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_cdna2genome_58_reverse_58_notraceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_cdna2genome_58_forward_58_traceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_coding2genome_32_find_32_score(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_coding2genome_32_find_32_path(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_coding2genome_32_find_32_region(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_coding2genome_32_find_32_checkpoint(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score optimal_58_coding2genome_32_find_32_path_32_continuation(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_coding2genome_58_reverse_58_notraceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
C4_Score Scheduler_Cell_process_coding2genome_58_forward_58_traceback_58_boundary(C4_Model *model, Region *region,               Viterbi_Data *vd, SubOpt_Index *soi,           gpointer user_data);
